Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Custom Entities

List Custom Entities

GET
/v1/custom-entities

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

id?string
id[in]?string
custom_entity_definition?string
custom_entity_definition[in]?string
contact?string
contact[in]?string
external_id?string
external_id[in]?string
external_id[is_null]?true
external_id[not_null]?true
custom_entity_definition_key?string
custom_entity_definition_key[in]?string
limit?integer
Default10
Range0 <= value <= 100
page_token?string
Length1 <= length

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/custom-entities"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",      "custom_entity_definition_id": "7d69c76b-fbd6-4171-a3bd-6ed8ca83d88f",      "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",      "external_id": "string",      "data": null,      "deleted_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_page_url": "string",  "previous_page_url": "string"}